---
updatedAt: 2026-05-13T20:48:29.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Cancel recurrence

Cancel Pix Automatic recurrence


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Instant payments - Automatic Pix",
    "description": "API to handle Automatic Pix transactions",
    "termsOfService": "https://developers.pismo.io/terms/",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/",
      "email": "support@pismo.com.br"
    },
    "license": {
      "name": "Copyright Pismo",
      "url": "https://developers.pismo.io/licenses/"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Ext API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Ext API server for testing Automatic Pix."
    }
  ],
  "tags": [
    {
      "name": "Automatic Pix",
      "description": "Automatic Pix endpoints."
    }
  ],
  "components": {
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "IdempotencyKeyHeader": {
        "name": "Idempotency-Key",
        "in": "header",
        "description": "A unique ID to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "BacenReasonCode": {
        "type": "string",
        "description": "Cancellation reason code:   \n\n* `ACCL` - Paying receiving user's account cancelled\n* `CPCL` - Receiving company closure\n* `DCSD` - Paying user death \n* `ERSL` - Receiving user, or their participant, request cancelled due to confirmation request error\n* `FRUD` - Fraud\n* `PCFD` - Receiving user participant request because the same recurrence was confirmed another way, for example, via QR code\n* `SLCR` - Receiving user request\n* `SLDB` - Paying user request\n* `OTHS` - Requested by either the payer's participant or the receiver's participant for other reasons not specified in the previous categories\n* `NRES` - Receiving PSP request due to lack of response to pain.009 within the regulatory period\n",
        "enum": [
          "ACCL",
          "CPCL",
          "DCSD",
          "ERSL",
          "FRUD",
          "PCFD",
          "SLCR",
          "SLDB",
          "OTHS",
          "NRES"
        ],
        "example": "ACCL"
      },
      "CancelRecurrenceRequest": {
        "type": "object",
        "description": "Cancel recurrence request",
        "required": [
          "recurrence_id",
          "reason_code"
        ],
        "properties": {
          "recurrence_id": {
            "$ref": "#/components/schemas/RecurrenceID"
          },
          "reason_code": {
            "$ref": "#/components/schemas/BacenReasonCode"
          }
        }
      },
      "CancelRecurrenceResponse": {
        "type": "object",
        "description": "Cancel recurrence request",
        "properties": {
          "recurrence_id": {
            "$ref": "#/components/schemas/RecurrenceID"
          },
          "reason_code": {
            "$ref": "#/components/schemas/BacenReasonCode"
          },
          "cancelled_at": {
            "$ref": "#/components/schemas/CancellatedAt"
          }
        }
      },
      "CancellatedAt": {
        "type": "string",
        "description": "Cancellation date time, RFC 3339 format: YYYY-MM-DDThh:mm:ssZ.",
        "example": "2024-11-14T17:54:40Z"
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "RecurrenceID": {
        "type": "string",
        "description": "BACEN recurrence ID",
        "example": "RN000000012025050500012345678"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad request",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized. Missing or invalid authentication token.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not found",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "500InternalServer": {
        "description": "Internal Server Error",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/inst-pull-pay/v1/pix/automatic/cancel": {
      "post": {
        "summary": "Cancel recurrence",
        "description": "Cancel Pix Automatic recurrence\n",
        "operationId": "cancel-recurrence-automatic",
        "tags": [
          "Automatic Pix"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/IdempotencyKeyHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CancelRecurrenceRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CancelRecurrenceResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```